%define upstream_name    Proc-Forkmap
%define upstream_version 0.2008

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Forking and IPC fmap method
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Proc/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Proc::Fork) >= 0.710.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This module supplies an easy to use map method that provides built-in
forking and IPC.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.200.800-3.mga9
+ Revision: 1811992
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 0.200.800-2.mga8
+ Revision: 1536660
- Mageia 8 Mass Rebuild

* Sun Oct 20 2019 tv <tv> 0.200.800-1.mga8
+ Revision: 1454782
- update to 0.2008

* Thu Oct 17 2019 tv <tv> 0.200.700-1.mga8
+ Revision: 1454259
- update to 0.2007

* Wed Oct 16 2019 tv <tv> 0.200.500-1.mga8
+ Revision: 1454099
- update to 0.2005

* Tue Oct 15 2019 tv <tv> 0.200.400-1.mga8
+ Revision: 1453534
- update to 0.2004

* Mon Oct 14 2019 tv <tv> 0.200.200-1.mga8
+ Revision: 1453032
- update to 0.2002

* Thu Sep 20 2018 umeabot <umeabot> 0.25.0-3.mga7
+ Revision: 1285865
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.25.0-2.mga7
+ Revision: 1166388
- rebuild with fixed rpm for missing autodeps

* Sat Sep 23 2017 sander85 <sander85> 0.25.0-1.mga7
+ Revision: 1158202
- update to 0.025

* Sun Jun 19 2016 pterjan <pterjan> 0.24.0-7.mga6
+ Revision: 1032700
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.24.0-6.mga6
+ Revision: 945840
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.24.0-5.mga5
+ Revision: 739072
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.24.0-4.mga5
+ Revision: 686057
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.24.0-3.mga4
+ Revision: 514312
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.24.0-2.mga3
+ Revision: 372134
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 0.24.0-1.mga3
+ Revision: 286443
- update to 0.024

* Mon Feb 06 2012 jquelin <jquelin> 0.21.0-1.mga2
+ Revision: 205187
- imported package perl-Proc-Forkmap


* Mon Feb 06 2012 cpan2dist 0.021-1mga
- initial mageia release, generated with cpan2dist
